From 46067c232dd342b4dbc2e1a5315eafa47ccacc4a Mon Sep 17 00:00:00 2001
From: Fabrice Aeschbacher <fabrice.aeschbacher@gmail.com>
Date: Sat, 18 Feb 2023 14:30:05 +0000
Subject: [PATCH] bluos controller 3.20.4 for linux

---
 common/mainWindow.js   |  1 +
 package.json           |  7 +++++++
 www/js/app.9ee00f83.js | 10 +++++-----
 3 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/common/mainWindow.js b/common/mainWindow.js
index 091188c..32b80a9 100644
--- a/common/mainWindow.js
+++ b/common/mainWindow.js
@@ -28,6 +28,7 @@ class MainWindow {
       minHeight: 480,
       backgroundColor: "#111",
       show: false,
+      icon: path.join(__dirname, "..", "www",  "img", "icon.png"),
       webPreferences: {
         contextIsolation: true,
         nodeIntegration: true, // https://www.electronjs.org/docs/tutorial/security#2-do-not-enable-nodejs-integration-for-remote-content
diff --git a/package.json b/package.json
index c3c50bd..26082ea 100644
--- a/package.json
+++ b/package.json
@@ -14,5 +14,12 @@
     "http-terminator": "^3.2.0",
     "sanitize-filename": "^1.6.3",
     "sudo-prompt": "^9.2.1"
+  },
+  "devDependencies": {
+    "electron-builder": "^19"
+  },
+  "build": {
+    "appId": "com.bluos.app",
+    "extraResources": [ { "from": "resources", "to": ".", "filter": [ "**/*" ] } ]
   }
 }
\ No newline at end of file
diff --git a/www/js/app.9ee00f83.js b/www/js/app.9ee00f83.js
index e9f5d13..8401189 100644
--- a/www/js/app.9ee00f83.js
+++ b/www/js/app.9ee00f83.js
@@ -131,7 +131,7 @@
 
                 function $() {
                     let e;
-                    if ("darwin" === window.process.platform) e = "http://upgrade.nadelectronics.com/desktop_app/osx/version.xml?currentVersion";
+                    if ("linux" === window.process.platform) e = "http://upgrade.nadelectronics.com/desktop_app/osx/version.xml?currentVersion";
                     else {
                         if ("win32" !== window.process.platform) return Promise.reject("Platform " + window.process.platform + " is not supported!");
                         e = "http://upgrade.nadelectronics.com/desktop_app/windows/version.xml?currentVersion"
@@ -10873,7 +10873,7 @@
                     Fa = [];
                 const za = async function(e) {
                     const t = window.process.platform;
-                    "darwin" !== t && "win32" !== t || $().then((t => {
+                    "linux" !== t && "win32" !== t || $().then((t => {
                         U.version.isOlderThan(t.version) ? By.$f7.dialog.create({
                             title: '<f7-icon class="loading" icon="logo-bs" /><br>Update Available',
                             text: `A newer version of the desktop App (${t.version.toString()}) is available. Would you like to open the download site?`,
@@ -10929,7 +10929,7 @@
                         },
                         computed: {
                             list() {
-                                const e = "darwin" == window.process.platform ? "mac" : "win";
+                                const e = "linux" == window.process.platform ? "mac" : "win";
                                 return [{
                                     name: "Online Support",
                                     icon: "online-support",
@@ -17576,7 +17576,7 @@
                         methods: {
                             keydownHandler(e) {
                                 if (!e || null == e.target) return;
-                                if ("darwin" !== window.process.platform && "win32" !== window.process.platform) return;
+                                //if ("darwin" !== window.process.platform && "win32" !== window.process.platform) return;
                                 32 == e.keyCode && "INPUT" !== e.target.tagName && (e.preventDefault(), this.emitEvent("playTrack"));
                                 const t = "darwin" === window.process.platform ? e.metaKey : e.ctrlKey;
                                 39 == e.keyCode && t && this.emitEvent("nextTrack"), 37 == e.keyCode && t && this.emitEvent("prevTrack"), 38 == e.keyCode && t && this.emitEvent("volumeIncLevel", 2), 40 == e.keyCode && t && this.emitEvent("volumeIncLevel", -2), 49 == e.keyCode && t && tl(1), 50 == e.keyCode && t && tl(2), 51 == e.keyCode && t && tl(3), 52 == e.keyCode && t && tl(4), 53 == e.keyCode && t && tl(5), 54 == e.keyCode && t && tl(6), 55 == e.keyCode && t && tl(7), 56 == e.keyCode && t && tl(8), 57 == e.keyCode && t && tl(9), 68 == e.keyCode && t && this.emitEvent("clearQueue"), 83 == e.keyCode && t && this.emitEvent("saveQueue"), 84 == e.keyCode && t && this.emitEvent("shuffle"), 82 == e.keyCode && t && this.emitEvent("repeat"), 70 == e.keyCode && t && this.search(), 85 == e.keyCode && t && za(!1)
@@ -24288,7 +24288,7 @@
                     render: e => e(sp)
                 });
                 i.ZP.mixin(op), By.$mount("#app"), window.f7 = By.$f7, window.onload = () => {
-                    /BluOSController/i.test(navigator.userAgent) && By.$store.dispatch("electronDetected"), Bs(), By.$store.getters.isRunningInElectron && "linux" !== window.process.platform && za(!0)
+                    /BluOSController/i.test(navigator.userAgent) && By.$store.dispatch("electronDetected"), Bs(), By.$store.getters.isRunningInElectron && "_linux" !== window.process.platform && za(!0)
                 }
             },
             82: function(e, t, s) {
-- 
2.30.2

